<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity"
    android:padding="25dp"
    android:orientation="vertical"
    android:background="@color/white">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:id="@+id/add_employee_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <android.support.v7.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                card_view:cardBackgroundColor="@color/background"
                card_view:cardCornerRadius="4dp"
                card_view:cardElevation="4dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <EditText
                        android:id="@+id/employee_id_input_field"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/id"
                        android:inputType="numberDecimal"
                        android:textSize="25sp" />

                    <EditText
                        android:id="@+id/employee_name_input_field"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:hint="@string/name"
                        android:textSize="25sp" />

                    <EditText
                        android:id="@+id/employee_salary_input_field"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:hint="@string/salary"
                        android:textSize="25sp" />
                </LinearLayout>
            </android.support.v7.widget.CardView>

            <Button
                android:id="@+id/add_employee"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:background="@drawable/roundedbutton"
                android:onClick="addEmployee"
                android:text="@string/add_employee"
                android:textColor="@color/butTextColor"
                android:textSize="25sp" />

            <Button
                android:id="@+id/view_employee"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:background="@drawable/roundedbutton"
                android:onClick="viewEmployees"
                android:text="@string/view_employees"
                android:textColor="@color/butTextColor"
                android:textSize="25sp" />
        </LinearLayout>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="invisible"
            android:id="@+id/view_employees_layout"
            android:orientation="vertical">

            <android.support.design.widget.FloatingActionButton
                android:layout_width="56dp"
                android:layout_height="56dp"
                android:layout_gravity="end|bottom"
                android:layout_marginEnd="20dp"
                android:background="@drawable/fab_shape"
                android:src="@drawable/add"
                card_view:fabSize="normal"
                android:onClick="addNewEmployee"/>

            <android.support.v7.widget.RecyclerView
                android:id="@+id/recycler_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent">
            </android.support.v7.widget.RecyclerView>
        </FrameLayout>
    </FrameLayout>
</LinearLayout>